Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class ZoomController

    java.lang.Object
      pipe.gui.ZoomController

    public class ZoomController

extends java.lang.Object

Constructor Summary
`ZoomController(GuiView view)`
`ZoomController(int pct, GuiView view)`

Method Summary
`int` | `getPercent()`
`java.awt.geom.AffineTransform` | `getTransform()`
`int` | `getUnzoomedValue(double val)` Calculates the value of the screen distance val at 100% zoom
`double` | `getZoomPositionForXLocation(double locationX)` Calculates where the correct screen x position at the current zoom is for an object with "real" x value locationX.
`double` | `getZoomPositionForYLocation(double locationY)` Calculates where the correct screen y position at the current zoom is for an object with "real" y value locationY.
`void` | `setPercent(int newPercent)`
`void` | `setZoom(int newPercent)`
`void` | `zoomIn()`
`void` | `zoomOut()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZoomController

    public ZoomController(GuiView view)

### ZoomController

    public ZoomController(int pct,
                          GuiView view)

Method Detail

### zoomOut

    public void zoomOut()

### zoomIn

    public void zoomIn()

### getTransform

    public java.awt.geom.AffineTransform getTransform()

### getPercent

    public int getPercent()

### setPercent

    public void setPercent(int newPercent)

### getUnzoomedValue

    public int getUnzoomedValue(double val)

  Calculates the value of the screen distance val at 100% zoom

  Parameters:
    `val` -
  Returns:

### getZoomPositionForXLocation

    public double getZoomPositionForXLocation(double locationX)

  Calculates where the correct screen x position at the current zoom is for an object with "real" x value locationX.

  Parameters:
    `locationX` -
  Returns:

### getZoomPositionForYLocation

    public double getZoomPositionForYLocation(double locationY)

  Calculates where the correct screen y position at the current zoom is for an object with "real" y value locationY.

  Parameters:
    `locationY` -
  Returns:

### setZoom

    public void setZoom(int newPercent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD